Package com.pixelmed.web

# Class HttpServer.Worker

java.lang.Object
com.pixelmed.web.HttpServer.Worker

All Implemented Interfaces:
  `Runnable`

Direct Known Subclasses:
  `RequestTypeServer.RequestTypeWorker`, `WadoServer.WADOWorker`

Enclosing class:
  HttpServer

protected abstract class HttpServer.Worker extends Object implements Runnable

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`Worker()`

## Method Summary

Modifier and Type
Method
Description
`protected abstract void`
`generateResponseToGetRequest(String requestURI, OutputStream out)`
`void`
`run()`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Worker

protected Worker()

## Method Details

### run

public void run()

Specified by:
  `run` in interface `Runnable`

### generateResponseToGetRequest

protected abstract void generateResponseToGetRequest(String requestURI, OutputStream out) throws IOException

Throws:
  `IOException`